"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class FamilyRelatednessCheck(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2 import metrics as metrics_1_2_0
        from protocols.protocol_7_2 import participant as participant_1_1_2

        return {
            "relationshipFromPedigree": participant_1_1_2.FamiliarRelationship,
            "withinFamilyIBDQuery": metrics_1_2_0.Query,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2 import metrics as metrics_1_2_0
        from protocols.protocol_7_2 import participant as participant_1_1_2

        return {
            "org.gel.models.participant.avro.FamiliarRelationship": participant_1_1_2.FamiliarRelationship,
            "org.gel.models.metrics.avro.Query": metrics_1_2_0.Query,
            "org.gel.models.metrics.avro.FamilyRelatednessCheck": metrics_1_2_0.FamilyRelatednessCheck,
        }

    __slots__ = [
        "comments",
        "possibleRelationship",
        "relationshipFromPedigree",
        "sampleId1",
        "sampleId2",
        "withinFamilyIBDQuery",
    ]

    def __init__(
        self,
        comments=None,
        possibleRelationship=None,
        relationshipFromPedigree=None,
        sampleId1=None,
        sampleId2=None,
        withinFamilyIBDQuery=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.FamilyRelatednessCheck model.

        :param comments:
            Comments
        :type comments: None | str
        :param possibleRelationship:
            Expected relationship according to IBD
        :type possibleRelationship: None | str
        :param relationshipFromPedigree:
            Reported relationship from sampleId1 to sampleId2 according to the
            pedigree provided
        :type relationshipFromPedigree: None | FamiliarRelationship
        :param sampleId1:
            Sample Id of one of the samples in the pair
        :type sampleId1: None | str
        :param sampleId2:
            Sample Id of the other sample in the pair
        :type sampleId2: None | str
        :param withinFamilyIBDQuery:
            Whether the pair of samples are a within-family query (yes, no,
            unknown, notTested)
        :type withinFamilyIBDQuery: None | Query
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
